use data.dta

xtset CITYID YEAR
//基准回归（未控制控制变量）
//Bootstrap方法处理小样本问题，对样本进行2000次有放回重复抽样
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY DFI,fe r

//基准回归&分样本回归
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY DFI TECHNICAL MARKET POLICY,fe r

//稳健性检验&内生性检验
bootstrap, reps(2000) seed(10101) nodots:xtreg ProsperityPR DFI TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg ProsperityM DFI TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg ProsperityF DFI TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg ProsperityPO DFI TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtivreg2 PROSPERITY ( DFI = IV ) TECHNICAL MARKET POLICY, fe r first
 //分维度检验
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY DFI1 TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY DFI2 TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY DFI3 TECHNICAL MARKET POLICY,fe r

//分业态检验
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY PAYMENT TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY INSURANCE TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY INVESTMENT TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY CREDIT TECHNICAL MARKET POLICY,fe r

//简单中介效应检验
bootstrap, reps(2000) seed(10101) nodots:xtreg COST DFI TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg MATCHING DFI TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY COST TECHNICAL MARKET POLICY,fe r
bootstrap, reps(2000) seed(10101) nodots:xtreg PROSPERITY MATCHING TECHNICAL MARKET POLICY,fe r

//链式中介效应检验
bootstrap, reps(2000) seed(10101) nodots:xtreg MATCHING COST TECHNICAL MARKET POLICY,fe r

//分位数回归
sqreg PROSPERITY DFI TECHNICAL MARKET POLICY i.CITYID,reps(2000) q(.25 .5 .75)

clear
